Bug 1573757 - [RFE] Notify admin that metrics store is down
Summary: [RFE] Notify admin that metrics store is down
Keywords:
Status: NEW
Alias: None
Product: ovirt-engine-metrics
Classification: oVirt
Component: RFEs
Version: 1.1.4.2
Hardware: All
OS: All
medium
high
Target Milestone: ovirt-4.5.0
: ---
Assignee: Shirly Radco
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 08:13 UTC by Lukas Svaty
Modified: 2019-11-17 10:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Metrics
dfediuck: ovirt-4.5?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Lukas Svaty 2018-05-02 08:13:20 UTC
Description of problem:
When metrics store is not reachable admin has no information about this. Just after searching through fluentd logs admin can see that connection was dropped and fluentd is trying to reconnect. We need to notify admin that metrics store is down and hosts/engine are unable to reach it, preferably by webadmin warning.

Comment 1 Sandro Bonazzola 2019-01-28 09:43:44 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.


Note You need to log in before you can comment on or make changes to this bug.